Skip to main content
GET
/
api
/
v1
/
users
/
{user_id}
/
data-sources
Get user data sources
curl --request GET \
  --url https://api.example.com/api/v1/users/{user_id}/data-sources \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "device_model": "<string>",
      "software_version": "<string>",
      "source": "<string>",
      "device_type": "<string>",
      "original_source_name": "<string>",
      "display_name": "<string>"
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://openwearables.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Open-Wearables-API-Key
string | null

Path Parameters

user_id
string<uuid>
required

User ID

Response

Successful Response

items
DataSourceResponse · object[]
required
total
integer
required